#include <sys/types.h>
#include <dirent.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char **argv) {
    DIR * dir;
    struct dirent *entry;

    if (argc != 2) {
	fprintf(stderr, "Usage: %s <directory>\n", argv[0]);
	exit(1);
    }

    if (!(dir = opendir(argv[1])))
	perror("opendir"), exit(2);
    while ((entry = readdir(dir))) 
	printf("%s\n", entry->d_name);
    closedir(dir);

    return 0;
}
