/* sys/stat.h: stat structure, used by stat(2) and fstat(2) */
struct stat {   
  dev_t   st_dev;   /*device number*/
  ino_t   st_ino;   /*inode number*/
  mode_t  st_mode;  /*mode and type of file*/
  nlink_t st_nlink; /*number of links to file*/
  uid_t   st_uid;   /*user ID of the file's owner*/
  gid_t   st_gid;   /*group ID of the file's group*/
  dev_t   st_rdev;  /*ID of (raw)device if block/char special*/
  off_t   st_size;  /*file size in bytes*/
  time_t  st_atime; /*time of last access*/
  time_t  st_mtime; /*time of last data modification*/
  time_t  st_ctime; /*time of last file status change*/
};
